[flake8]
# This section configures `flake8`, the python linting utility.
# See also https://flake8.pycqa.org/en/latest/user/configuration.html
ignore = D100,D101,D102,D103,D105,D200,D205,D210,D400,D401,D403,E127,E201,E202,E203,E221,E222,E241,E265,E271,E272,E301,E501,N802,N803,N805,N806,W503
# D100 - Missing docstring in public module
# D101 - Missing docstring in public class
# D102 - Missing docstring in public method
# D103 - Missing docstring in public function
# D105 - Missing docstring in public package
# D200 - One-line docstring should fit on one line with quotes
# D205 - 1 blank line required between summary line and description
# D210 - No whitespaces allowed surrounding docstring text
# D400 - First line should end with a period
# D401 - First line should be in imperative mood
# D403 - First word of the first line should be properly capitalized
# D* codes come from pydocstyle which is integrated into flake8 via flake8-docstring.
# See also http://www.pydocstyle.org/en/5.0.1/error_codes.html

# E127 - continuation line over-indented for visual indent
# E201 - whitespace after ‘(‘
# E202 - whitespace before ‘)’
# E203 - whitespace before ‘:’
# E221 - multiple spaces before operator
# E222 - multiple spaces after operator
# E241 - multiple spaces after ‘,’
# E265 - block comment should start with ‘# ‘
# E271 - multiple spaces after keyword
# E272 - multiple spaces before keyword
# E301 - expected 1 blank line, found 0
# E501 - line too long (82 > 79 characters)
# E* codes come from pycodestyle which is integrated with flake8
# See also https://pycodestyle.pycqa.org/en/latest/intro.html#error-codes

# N802 - function name should be lowercase
# N803 - argument name should be lowercase
# N805 - first argument of a method should be named 'self'
# N806 - variable in function should be lowercase
# N* codes come from pep8-naming, which integrates with flake8
# See also https://github.com/PyCQA/pep8-naming#error-codes

# Exclude the git directory and virtualenv directory (as `.env`)
exclude = .git,.env

[tool:brunette]
line-length = 90
verbose = false
# skip-string-normalization = true
single-quotes = true

[tool:pytest]
minversion = 5.4
addopts = -p no:doctest --xdoctest --xdoctest-style=google
testpaths =
    pydarknet
filterwarnings =
    default
    ignore:.*No cfgstr given in Cacher constructor or call.*:Warning
    ignore:.*Define the __nice__ method for.*:Warning
